Open CASCADE Technology: Extrema_GenExtSS Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Extrema_GenExtSS Class Reference

It calculates all the extremum distances between two surfaces. These distances can be minimum or maximum. More...

`#include <Extrema_GenExtSS.hxx>`

## Public Member Functions
| Extrema_GenExtSS ()
| Extrema_GenExtSS (const Adaptor3d_Surface &S1, const Adaptor3d_Surface &S2, const Standard_Integer NbU, const Standard_Integer NbV, const Standard_Real Tol1, const Standard_Real Tol2)
| It calculates all the distances. The function F(u,v)=distance(S1(u1,v1),S2(u2,v2)) has an extremum when gradient(F)=0. The algorithm searchs all the zeros inside the definition ranges of the surfaces. NbU and NbV are used to locate the close points to find the zeros. More...
| Extrema_GenExtSS (const Adaptor3d_Surface &S1, const Adaptor3d_Surface &S2, const Standard_Integer NbU, const Standard_Integer NbV, const Standard_Real U1min, const Standard_Real U1sup, const Standard_Real V1min, const Standard_Real V1sup, const Standard_Real U2min, const Standard_Real U2sup, const Standard_Real V2min, const Standard_Real V2sup, const Standard_Real Tol1, const Standard_Real Tol2)
| It calculates all the distances. The function F(u,v)=distance(P,S(u,v)) has an extremum when gradient(F)=0. The algorithm searchs all the zeros inside the definition ranges of the surface. NbU and NbV are used to locate the close points to find the zeros. More...
void | Initialize (const Adaptor3d_Surface &S2, const Standard_Integer NbU, const Standard_Integer NbV, const Standard_Real Tol2)
void | Initialize (const Adaptor3d_Surface &S2, const Standard_Integer NbU, const Standard_Integer NbV, const Standard_Real U2min, const Standard_Real U2sup, const Standard_Real V2min, const Standard_Real V2sup, const Standard_Real Tol2)
void | Perform (const Adaptor3d_Surface &S1, const Standard_Real Tol1)
| the algorithm is done with S1 An exception is raised if the fields have not been initialized. More...
void | Perform (const Adaptor3d_Surface &S1, const Standard_Real U1min, const Standard_Real U1sup, const Standard_Real V1min, const Standard_Real V1sup, const Standard_Real Tol1)
| the algorithm is done withS1 An exception is raised if the fields have not been initialized. More...
Standard_Boolean | IsDone () const
| Returns True if the distances are found. More...
Standard_Integer | NbExt () const
| Returns the number of extremum distances. More...
Standard_Real | SquareDistance (const Standard_Integer N) const
| Returns the value of the Nth resulting square distance. More...
const Extrema_POnSurf & | PointOnS1 (const Standard_Integer N) const
| Returns the point of the Nth resulting distance. More...
const Extrema_POnSurf & | PointOnS2 (const Standard_Integer N) const
| Returns the point of the Nth resulting distance. More...

## Detailed Description

It calculates all the extremum distances between two surfaces. These distances can be minimum or maximum.

## Constructor & Destructor Documentation

Extrema_GenExtSS::Extrema_GenExtSS | ( |  | ) |

Extrema_GenExtSS::Extrema_GenExtSS | ( | const Adaptor3d_Surface & | S1,
|  | const Adaptor3d_Surface & | S2,
|  | const Standard_Integer | NbU,
|  | const Standard_Integer | NbV,
|  | const Standard_Real | Tol1,
|  | const Standard_Real | Tol2
| ) |  |

It calculates all the distances. The function F(u,v)=distance(S1(u1,v1),S2(u2,v2)) has an extremum when gradient(F)=0. The algorithm searchs all the zeros inside the definition ranges of the surfaces. NbU and NbV are used to locate the close points to find the zeros.

Extrema_GenExtSS::Extrema_GenExtSS | ( | const Adaptor3d_Surface & | S1,
|  | const Adaptor3d_Surface & | S2,
|  | const Standard_Integer | NbU,
|  | const Standard_Integer | NbV,
|  | const Standard_Real | U1min,
|  | const Standard_Real | U1sup,
|  | const Standard_Real | V1min,
|  | const Standard_Real | V1sup,
|  | const Standard_Real | U2min,
|  | const Standard_Real | U2sup,
|  | const Standard_Real | V2min,
|  | const Standard_Real | V2sup,
|  | const Standard_Real | Tol1,
|  | const Standard_Real | Tol2
| ) |  |

It calculates all the distances. The function F(u,v)=distance(P,S(u,v)) has an extremum when gradient(F)=0. The algorithm searchs all the zeros inside the definition ranges of the surface. NbU and NbV are used to locate the close points to find the zeros.

## Member Function Documentation

void Extrema_GenExtSS::Initialize | ( | const Adaptor3d_Surface & | S2,
|  | const Standard_Integer | NbU,
|  | const Standard_Integer | NbV,
|  | const Standard_Real | Tol2
| ) |  |

void Extrema_GenExtSS::Initialize | ( | const Adaptor3d_Surface & | S2,
|  | const Standard_Integer | NbU,
|  | const Standard_Integer | NbV,
|  | const Standard_Real | U2min,
|  | const Standard_Real | U2sup,
|  | const Standard_Real | V2min,
|  | const Standard_Real | V2sup,
|  | const Standard_Real | Tol2
| ) |  |

Standard_Boolean Extrema_GenExtSS::IsDone | ( |  | ) | const

Returns True if the distances are found.

Standard_Integer Extrema_GenExtSS::NbExt | ( |  | ) | const

Returns the number of extremum distances.

void Extrema_GenExtSS::Perform | ( | const Adaptor3d_Surface & | S1,
|  | const Standard_Real | Tol1
| ) |  |

the algorithm is done with S1 An exception is raised if the fields have not been initialized.

void Extrema_GenExtSS::Perform | ( | const Adaptor3d_Surface & | S1,
|  | const Standard_Real | U1min,
|  | const Standard_Real | U1sup,
|  | const Standard_Real | V1min,
|  | const Standard_Real | V1sup,
|  | const Standard_Real | Tol1
| ) |  |

the algorithm is done withS1 An exception is raised if the fields have not been initialized.

const Extrema_POnSurf& Extrema_GenExtSS::PointOnS1 | ( | const Standard_Integer | N | ) | const

Returns the point of the Nth resulting distance.

const Extrema_POnSurf& Extrema_GenExtSS::PointOnS2 | ( | const Standard_Integer | N | ) | const

Returns the point of the Nth resulting distance.

Standard_Real Extrema_GenExtSS::SquareDistance | ( | const Standard_Integer | N | ) | const

Returns the value of the Nth resulting square distance.

The documentation for this class was generated from the following file:

- Extrema_GenExtSS.hxx